Bug 478355 - mkinitrd doesn't load md (software raid) modules when devices use uuid in fstab
mkinitrd doesn't load md (software raid) modules when devices use uuid in fstab
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-28 14:28 EST by Greg Martyn
Modified: 2009-05-06 12:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 12:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2008-12-28 14:28:36 EST
Description of problem:
mkinitrd fails to load the needed software raid modules when my fstab contains:
UUID="48590061-6a57-470d-a90b-d25bb6e5786a"  /  ext4  defaults  1 1

..resulting in an unbootable system.

When I replace that line with this:
/dev/md1  /  ext4  defaults  1 1

..the modules get loaded and everything works fine.

Version-Release number of selected component (if applicable):
mkinitrd.x86_64   6.0.71-3.fc10

How reproducible:
Always

Steps to Reproduce:
1. Describe devices in /etc/fstab by uuid
2. run mkinitrd
  
Actual results:
resulting image doesn't try to load software raid modules

Expected results:
mkinitrd could use /etc/mtab to determine whether to load software raid modules. In mtab, devices that are described in /etc/fstab by uuid are listed instead as /dev/mdX

or, just load the softraid modules if they appear in lsmod.

Additional info:
Comment 1 Hans de Goede 2009-02-12 13:17:07 EST
Can you please retry this with the latest mkinitrd I believe I've fixed this with some recent cleanups I've done. Make sure you've got mkinitrd-6.0.76-1.fc11 or newer.
Comment 2 Jeremy Katz 2009-05-06 12:42:12 EDT
Closing due to inactivity.  Please reopen if you still see this problem and/or have further information to add to this report

Note You need to log in before you can comment on or make changes to this bug.